PWAs

GET https://pushye.com/api/pwas/
curl --request GET \
--url 'https://pushye.com/api/pwas/' \
--header 'Authorization: Bearer {api_key}' \
Parametri Dettagli Descrizione
search Facoltativo String La stringa di ricerca.
search_by Facoltativo String Quale campo stai cercando. I valori consentiti sono: name.
datetime_field Facoltativo String Valori consentiti: datetime, last_datetime
datetime_start Facoltativo String Filter results starting from this datetime. Y-m-d H:i:s format.
datetime_end Facoltativo String Filter results up to this datetime. Y-m-d H:i:s format.
order_by Facoltativo String In quale campo ordinare i risultati. I valori consentiti sono: pwa_id, name, datetime, last_datetime.
order_type Facoltativo String L'ordinamento dei risultati. I valori consentiti sono: ASC per ordinamento crescente e DESC per ordinamento decrescente.
page Facoltativo Intero Il numero di pagina da cui desideri i risultati. Predefinito a 1.
results_per_page Facoltativo Intero Quanti risultati vuoi per pagina. I valori consentiti sono: 10, 25, 50, 100, 250, 500, 1000. Predefinito è 25.
{
    "data": [
        {
            "id": 1,
            "user_id": 1,
            "name": "Example app",
            "settings": {
                "short_name": "Example",
                "description": "Example PWA application.",
                "start_url": "https://example.com/",
                "display": "standalone",
                "orientation": "any",
                "background_color": "#ffffff",
                "theme_color": "#237fff",
                "app_icon_url": "https://example.com/icon.png",
                "app_icon_maskable_url": "",
                "mobile_screenshot_urls": ["", "", "", "", "", ""],
                "desktop_screenshot_urls": ["", "", "", "", "", ""],
                "shortcuts": [
                    {"name": "", "description": "", "url": "", "icon_url": ""},
                    {"name": "", "description": "", "url": "", "icon_url": ""},
                    {"name": "", "description": "", "url": "", "icon_url": ""}
                ],
                "id": "",
                "dir": "auto",
                "lang": "en",
                "scope_url": "https://example.com/"
            },
            "manifest": {
                "name": "Example app",
                "short_name": "Example",
                "description": "Example PWA application.",
                "start_url": "https://example.com/",
                "display": "standalone",
                "orientation": "any",
                "background_color": "#ffffff",
                "theme_color": "#237fff",
                "lang": "en",
                "dir": "auto",
                "scope_url": "https://example.com/",
                "icons": [
                    {
                        "src": "https://example.com/icon.png",
                        "type": "image/png",
                        "purpose": "any",
                        "sizes": "512x512"
                    }
                ]
            },
            "last_datetime": null,
            "datetime": "2026-09-13 15:38:59"
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total_results": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://pushye.com/api/pwas?page=1",
        "last": "https://pushye.com/api/pwas?page=1",
        "next": null,
        "prev": null,
        "self": "https://pushye.com/api/pwas?page=1"
    }
}
GET https://pushye.com/api/pwas/{pwa_id}
curl --request GET \
--url 'https://pushye.com/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Example app",
            "short_name": "Example",
            "start_url": "https://example.com/",
            "display": "standalone",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": null,
        "datetime": "2026-09-13 15:38:59"
    }
}
POST https://pushye.com/api/pwas
Parametri Dettagli Descrizione
name Richiesto String The full name of your PWA app - will be shown in your phone home screen or desktop.
short_name Facoltativo String Optional short name of your PWA - will be shown when there is not enough room to display the full name.
description Facoltativo String Optional short description of your PWA - will be shown in some devices when installing and after installation.
start_url Facoltativo String The full URL that opens when your PWA is launched.
background_color Facoltativo String The background color used on the splash screen and while the app is loading.
theme_color Facoltativo String The browser UI color that matches your app's theme.
app_icon_url Richiesto String The main icon of your app. Make sure the icon is 512x512 pixels, PNG file.
app_icon_maskable_url Facoltativo String Make sure the icon is 512x512 pixels, PNG file. What is a maskable icon?
mobile_screenshot_url_{1-6} Facoltativo String Optional mobile screenshots shown on the installation prompt.
desktop_screenshot_url_{1-6} Facoltativo String Optional desktop screenshots shown on the installation prompt.
shortcut_name_{1-3} Facoltativo String Name for the shortcut as displayed on the device.
shortcut_description_{1-3} Facoltativo String Optional description to explain the shortcut.
shortcut_url_{1-3} Facoltativo String URL the shortcut should open.
shortcut_icon_url_{1-3} Facoltativo String Make sure the icon is 128x128 pixels, PNG file.
id Facoltativo String Optional unique identifier for the PWA. Useful for updates and maintaining identity across installations.
display Facoltativo String Valori consentiti: fullscreen, standalone, minimal-ui, browser
orientation Facoltativo String Valori consentiti: portrait, landscape, any
dir Facoltativo String Valori consentiti: auto, ltr, rtl
lang Facoltativo String en for English, de for German, etc.
scope_url Facoltativo String Defines the navigation scope of your PWA. Only pages within this scope will be accessible while the app is running. Typically matches the start URL path.
curl --request POST \
--url 'https://pushye.com/api/pwas' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example app' \
--form 'short_name=Example' \
--form 'description=Example PWA application.' \
--form 'start_url=https://example.com/' \
--form 'app_icon_url=https://example.com/icon.png' \
--form 'background_color=#ffffff' \
--form 'theme_color=#237fff' \
--form 'lang=en' \
--form 'scope_url=https://example.com/'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Example app",
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#237fff",
            "lang": "en",
            "dir": "auto",
            "scope_url": "https://example.com/",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": null,
        "datetime": "2026-09-13 15:38:59"
    }
}
POST https://pushye.com/api/pwas/{pwa_id}
Parametri Dettagli Descrizione
name Facoltativo String The full name of your PWA app - will be shown in your phone home screen or desktop.
short_name Facoltativo String Optional short name of your PWA - will be shown when there is not enough room to display the full name.
description Facoltativo String Optional short description of your PWA - will be shown in some devices when installing and after installation.
start_url Facoltativo String The full URL that opens when your PWA is launched.
background_color Facoltativo String The background color used on the splash screen and while the app is loading.
theme_color Facoltativo String The browser UI color that matches your app's theme.
app_icon_url Facoltativo String The main icon of your app. Make sure the icon is 512x512 pixels, PNG file.
app_icon_maskable_url Facoltativo String Make sure the icon is 512x512 pixels, PNG file. What is a maskable icon?
mobile_screenshot_url_{1-6} Facoltativo String Optional mobile screenshots shown on the installation prompt.
desktop_screenshot_url_{1-6} Facoltativo String Optional desktop screenshots shown on the installation prompt.
shortcut_name_{1-3} Facoltativo String Name for the shortcut as displayed on the device.
shortcut_description_{1-3} Facoltativo String Optional description to explain the shortcut.
shortcut_url_{1-3} Facoltativo String URL the shortcut should open.
shortcut_icon_url_{1-3} Facoltativo String Make sure the icon is 128x128 pixels, PNG file.
id Facoltativo String Optional unique identifier for the PWA. Useful for updates and maintaining identity across installations.
display Facoltativo String Valori consentiti: fullscreen, standalone, minimal-ui, browser
orientation Facoltativo String Valori consentiti: portrait, landscape, any
dir Facoltativo String Valori consentiti: auto, ltr, rtl
lang Facoltativo String en for English, de for German, etc.
scope_url Facoltativo String Defines the navigation scope of your PWA. Only pages within this scope will be accessible while the app is running. Typically matches the start URL path.
curl --request POST \
--url 'https://pushye.com/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Updated example app' \
--form 'theme_color=#000000'
{
    "data": {
        "id": 1,
        "user_id": 1,
        "name": "Updated example app",
        "settings": {
            "short_name": "Example",
            "description": "Example PWA application.",
            "start_url": "https://example.com/",
            "display": "standalone",
            "orientation": "any",
            "background_color": "#ffffff",
            "theme_color": "#000000",
            "app_icon_url": "https://example.com/icon.png",
            "app_icon_maskable_url": "",
            "mobile_screenshot_urls": ["", "", "", "", "", ""],
            "desktop_screenshot_urls": ["", "", "", "", "", ""],
            "shortcuts": [
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""},
                {"name": "", "description": "", "url": "", "icon_url": ""}
            ],
            "id": "",
            "dir": "auto",
            "lang": "en",
            "scope_url": "https://example.com/"
        },
        "manifest": {
            "name": "Updated example app",
            "short_name": "Example",
            "start_url": "https://example.com/",
            "display": "standalone",
            "theme_color": "#000000",
            "icons": [
                {
                    "src": "https://example.com/icon.png",
                    "type": "image/png",
                    "purpose": "any",
                    "sizes": "512x512"
                }
            ]
        },
        "last_datetime": "2026-09-13 15:38:59",
        "datetime": "2026-09-13 15:38:59"
    }
}
DELETE https://pushye.com/api/pwas/{pwa_id}
curl --request DELETE \
--url 'https://pushye.com/api/pwas/{pwa_id}' \
--header 'Authorization: Bearer {api_key}' \